PipeWire 1.6.5

Loading...
Searching...
No Matches
impl-metadata.h File Reference
Implementation API » Metadata Impl

pipewire/impl-metadata.h More...

Go to the source code of this file.

## Data Structures
struct | pw_impl_metadata_events
| Metadata events, listen to them with pw_impl_metadata_add_listener. More...

## Macros
#define | PW_VERSION_IMPL_METADATA_EVENTS 0

## Functions
struct pw_impl_metadata * | pw_context_create_metadata (struct pw_context *context, const char *name, struct pw_properties *properties, size_t user_data_size)
const struct pw_properties * | pw_impl_metadata_get_properties (struct pw_impl_metadata *metadata)
| Get the metadata properties.
int | pw_impl_metadata_register (struct pw_impl_metadata *metadata, struct pw_properties *properties)
void | pw_impl_metadata_destroy (struct pw_impl_metadata *metadata)
void * | pw_impl_metadata_get_user_data (struct pw_impl_metadata *metadata)
int | pw_impl_metadata_set_implementation (struct pw_impl_metadata *metadata, struct pw_metadata *impl)
struct pw_metadata * | pw_impl_metadata_get_implementation (struct pw_impl_metadata *metadata)
struct pw_global * | pw_impl_metadata_get_global (struct pw_impl_metadata *metadata)
| Get the global of this metadata.
void | pw_impl_metadata_add_listener (struct pw_impl_metadata *metadata, struct spa_hook *listener, const struct pw_impl_metadata_events *events, void *data)
| Add an event listener.
int | pw_impl_metadata_set_property (struct pw_impl_metadata *metadata, uint32_t subject, const char *key, const char *type, const char *value)
| Set a property.
int | pw_impl_metadata_set_propertyf (struct pw_impl_metadata *metadata, uint32_t subject, const char *key, const char *type, const char *fmt,...)

## Detailed Description

pipewire/impl-metadata.h